summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorAlexander Bluhm <bluhm@cvs.openbsd.org>2016-09-02 21:30:35 +0000
committerAlexander Bluhm <bluhm@cvs.openbsd.org>2016-09-02 21:30:35 +0000
commit574f69a0e4d8ac880ca4b6a3dc2914c6052e318f (patch)
tree8df806befcdc6f62b718d8ed907ded8b2007e966 /regress
parenta2e3a8ca16d3a36e252e6b7be3b645a6feaf7266 (diff)
Print SKIPPED if a regress test cannot be executed for some reason.
This allows to identify such tests by looking at their output.
Diffstat (limited to 'regress')
-rw-r--r--regress/gnu/egcs/gcc/Makefile3
-rw-r--r--regress/gnu/egcs/libiberty/Makefile3
-rw-r--r--regress/lib/libtls/gotls/Makefile5
-rw-r--r--regress/sys/net/pf_divert/Makefile4
-rw-r--r--regress/sys/net/pf_forward/Makefile4
-rw-r--r--regress/sys/net/pf_fragment/Makefile4
-rw-r--r--regress/sys/netinet/arp/Makefile4
-rw-r--r--regress/sys/netinet/pmtu/Makefile4
-rw-r--r--regress/sys/netinet6/frag6/Makefile4
-rw-r--r--regress/sys/netinet6/nd6/Makefile4
-rw-r--r--regress/sys/netinet6/rh0/Makefile4
-rw-r--r--regress/usr.sbin/httpd/tests/Makefile3
-rw-r--r--regress/usr.sbin/ospfd/Makefile3
-rw-r--r--regress/usr.sbin/relayd/Makefile3
-rw-r--r--regress/usr.sbin/switchd/Makefile3
-rw-r--r--regress/usr.sbin/syslogd/Makefile3
16 files changed, 41 insertions, 17 deletions
diff --git a/regress/gnu/egcs/gcc/Makefile b/regress/gnu/egcs/gcc/Makefile
index 83c35c70543..890b8181743 100644
--- a/regress/gnu/egcs/gcc/Makefile
+++ b/regress/gnu/egcs/gcc/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.8 2013/08/06 19:11:53 miod Exp $
+# $OpenBSD: Makefile,v 1.9 2016/09/02 21:30:33 bluhm Exp $
.include <bsd.own.mk>
@@ -22,6 +22,7 @@ do-gcc:
echo "Error: DejaGnu is required to run this test."; \
echo " You can install the package from the ftp site or compile it"; \
echo " from the ports tree (${PORTSDIR}/devel/dejagnu)."; \
+ echo SKIPPED; \
exit 1; \
fi
@cd ${TESTDIR} && ${MAKE} -f Makefile.bsd-wrapper && \
diff --git a/regress/gnu/egcs/libiberty/Makefile b/regress/gnu/egcs/libiberty/Makefile
index 2ab321bd474..73fa70d3b70 100644
--- a/regress/gnu/egcs/libiberty/Makefile
+++ b/regress/gnu/egcs/libiberty/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.5 2006/02/11 23:54:34 david Exp $
+# $OpenBSD: Makefile,v 1.6 2016/09/02 21:30:34 bluhm Exp $
NOMAN=
NOPROG=
@@ -16,6 +16,7 @@ do-libiberty:
echo "Error: DejaGnu is required to run this test."; \
echo " You can install the package from the ftp site or compile it"; \
echo " from the ports tree (${PORTSDIR}/devel/dejagnu)."; \
+ echo SKIPPED; \
exit 1; \
fi
@cd ${TESTDIR} && ${MAKE} -f Makefile.bsd-wrapper && \
diff --git a/regress/lib/libtls/gotls/Makefile b/regress/lib/libtls/gotls/Makefile
index 56286feec92..404aa79caa8 100644
--- a/regress/lib/libtls/gotls/Makefile
+++ b/regress/lib/libtls/gotls/Makefile
@@ -1,10 +1,11 @@
-# $OpenBSD: Makefile,v 1.1 2014/10/31 14:10:55 jsing Exp $
+# $OpenBSD: Makefile,v 1.2 2016/09/02 21:30:34 bluhm Exp $
GO_VERSION != sh -c "(go version) 2>/dev/null || true"
.if empty(GO_VERSION)
regress:
- @echo golang is required for this regress... skipping
+ @echo package go is required for this regress
+ @echo SKIPPED
.endif
REGRESS_TARGETS=regress-gotls
diff --git a/regress/sys/net/pf_divert/Makefile b/regress/sys/net/pf_divert/Makefile
index f2798df2c68..ee2d7f5dcf6 100644
--- a/regress/sys/net/pf_divert/Makefile
+++ b/regress/sys/net/pf_divert/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.12 2015/07/28 12:31:29 bluhm Exp $
+# $OpenBSD: Makefile,v 1.13 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed for the regression tests:
# p5-IO-Socket-INET6 object interface for AF_INET and AF_INET6 domain sockets
@@ -15,6 +15,7 @@ PERL_REQUIRE != perl -Mstrict -Mwarnings -e ' \
regress:
@echo "${PERL_REQUIRE}"
@echo install these perl packages for additional tests
+ @echo SKIPPED
.endif
# Fill out these variables as you have to test divert with the pf
@@ -45,6 +46,7 @@ regress:
@echo LOCAL_ADDR REMOTE_ADDR FAKE_ADDR LOCAL_ADDR6
@echo REMOTE_ADDR6 FAKE_ADDR6 REMOTE_SSH are empty.
@echo Fill out these variables for additional tests.
+ @echo SKIPPED
.endif
# Automatically generate regress targets from test cases in directory.
diff --git a/regress/sys/net/pf_forward/Makefile b/regress/sys/net/pf_forward/Makefile
index b76843ef547..484740db708 100644
--- a/regress/sys/net/pf_forward/Makefile
+++ b/regress/sys/net/pf_forward/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.15 2016/08/31 22:44:29 bluhm Exp $
+# $OpenBSD: Makefile,v 1.16 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed:
#
@@ -13,6 +13,7 @@ PYTHON_IMPORT != python2.7 -c 'from scapy.all import *' 2>&1 || true
regress:
@echo '${PYTHON_IMPORT}'
@echo install python and the scapy module for additional tests
+ @echo SKIPPED
.endif
# This test needs a manual setup of four machines
@@ -87,6 +88,7 @@ regress:
@echo PF_SSH RT_SSH ECO_SSH are empty
@echo fill out these variables for additional tests, then
@echo check wether your test machines are set up properly
+ @echo SKIPPED
.endif
.MAIN: all
diff --git a/regress/sys/net/pf_fragment/Makefile b/regress/sys/net/pf_fragment/Makefile
index a3a45cc4da6..152ad7bb454 100644
--- a/regress/sys/net/pf_fragment/Makefile
+++ b/regress/sys/net/pf_fragment/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.20 2016/08/31 22:44:29 bluhm Exp $
+# $OpenBSD: Makefile,v 1.21 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed:
#
@@ -13,6 +13,7 @@ PYTHON_IMPORT != python2.7 -c 'from scapy.all import *' 2>&1 || true
regress:
@echo '${PYTHON_IMPORT}'
@echo install python and the scapy module for additional tests
+ @echo SKIPPED
.endif
# This test needs a manual setup of four machines
@@ -72,6 +73,7 @@ regress:
@echo PF_SSH RT_SSH ECO_SSH are empty
@echo fill out these variables for additional tests, then
@echo check whether your test machines are set up properly
+ @echo SKIPPED
.endif
.MAIN: all
diff --git a/regress/sys/netinet/arp/Makefile b/regress/sys/netinet/arp/Makefile
index 1d5a9b45850..75322f3f540 100644
--- a/regress/sys/netinet/arp/Makefile
+++ b/regress/sys/netinet/arp/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.7 2016/07/18 09:09:24 bluhm Exp $
+# $OpenBSD: Makefile,v 1.8 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed:
#
@@ -13,6 +13,7 @@ PYTHON_IMPORT != python2.7 -c 'from scapy.all import *' 2>&1 || true
regress:
@echo '${PYTHON_IMPORT}'
@echo install python and the scapy module for additional tests
+ @echo SKIPPED
.endif
# This test needs a manual setup of two machines
@@ -49,6 +50,7 @@ regress:
@echo LOCAL_IF LOCAL_MAC REMOTE_MAC FAKE_MAC REMOTE_SSH LOCAL_ADDR
@echo REMOTE_ADDR FAKE_ADDR OTHER_ADDR OTHERFAKE_ADDR are empty
@echo fill out these variables for additional tests
+ @echo SKIPPED
.endif
.if ! empty (REMOTE_SSH)
diff --git a/regress/sys/netinet/pmtu/Makefile b/regress/sys/netinet/pmtu/Makefile
index cc454c460ce..47b142e47e0 100644
--- a/regress/sys/netinet/pmtu/Makefile
+++ b/regress/sys/netinet/pmtu/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.2 2016/07/18 09:09:24 bluhm Exp $
+# $OpenBSD: Makefile,v 1.3 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed:
#
@@ -13,6 +13,7 @@ PYTHON_IMPORT != python2.7 -c 'from scapy.all import *' 2>&1 || true
regress:
@echo '${PYTHON_IMPORT}'
@echo install python and the scapy module for additional tests
+ @echo SKIPPED
.endif
# This test needs a manual setup of two machines
@@ -48,6 +49,7 @@ regress:
@echo LOCAL_IF REMOTE_SSH LOCAL_ADDR LOCAL_ADDR6 REMOTE_ADDR
@echo REMOTE_ADDR6 FAKE_NET FAKE_NET6 FAKE_NET_ADDR FAKE_NET_ADDR6
@echo are empty. Fill out these variables for additional tests.
+ @echo SKIPPED
.endif
.if ! empty (REMOTE_SSH)
diff --git a/regress/sys/netinet6/frag6/Makefile b/regress/sys/netinet6/frag6/Makefile
index cfdb02730e4..83a6b78edd1 100644
--- a/regress/sys/netinet6/frag6/Makefile
+++ b/regress/sys/netinet6/frag6/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.11 2015/04/15 21:29:15 bluhm Exp $
+# $OpenBSD: Makefile,v 1.12 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed:
#
@@ -13,6 +13,7 @@ PYTHON_IMPORT != python2.7 -c 'from scapy.all import *' 2>&1 || true
regress:
@echo '${PYTHON_IMPORT}'
@echo install python and the scapy module for additional tests
+ @echo SKIPPED
.endif
# This test needs a manual setup of two machines
@@ -42,6 +43,7 @@ regress:
@echo this tests needs a remote machine to operate on
@echo SRC_IF SRC_MAC DST_MAC SRC_OUT6 DST_IN6 are empty
@echo fill out these variables for additional tests
+ @echo SKIPPED
.endif
depend: addr.py
diff --git a/regress/sys/netinet6/nd6/Makefile b/regress/sys/netinet6/nd6/Makefile
index b72f1194a3c..a1a45345f9e 100644
--- a/regress/sys/netinet6/nd6/Makefile
+++ b/regress/sys/netinet6/nd6/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.3 2015/11/05 12:56:12 bluhm Exp $
+# $OpenBSD: Makefile,v 1.4 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed:
#
@@ -13,6 +13,7 @@ PYTHON_IMPORT != python2.7 -c 'from scapy.all import *' 2>&1 || true
regress:
@echo '${PYTHON_IMPORT}'
@echo install python and the scapy module for additional tests
+ @echo SKIPPED
.endif
# This test needs a manual setup of two machines
@@ -65,6 +66,7 @@ regress:
@echo this tests needs a remote machine to operate on
@echo SRC_IF SRC_MAC DST_MAC SRC_OUT6 DST_IN6 are empty
@echo fill out these variables for additional tests
+ @echo SKIPPED
.endif
depend: addr.py
diff --git a/regress/sys/netinet6/rh0/Makefile b/regress/sys/netinet6/rh0/Makefile
index 210fc035fa2..23a11f8670a 100644
--- a/regress/sys/netinet6/rh0/Makefile
+++ b/regress/sys/netinet6/rh0/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.5 2016/08/31 22:44:29 bluhm Exp $
+# $OpenBSD: Makefile,v 1.6 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed:
#
@@ -13,6 +13,7 @@ PYTHON_IMPORT != python2.7 -c 'from scapy.all import *' 2>&1 || true
regress:
@echo '${PYTHON_IMPORT}'
@echo install python and the scapy module for additional tests
+ @echo SKIPPED
.endif
# This test needs a manual setup of two machines
@@ -48,6 +49,7 @@ regress:
@echo SRC_IF SRC_MAC DST_MAC SRC_OUT6 DST_IN6 DST_OUT6
@echo SRT_IN6 SRT_OUT6 are empty
@echo fill out these variables for additional tests
+ @echo SKIPPED
.endif
depend: addr.py
diff --git a/regress/usr.sbin/httpd/tests/Makefile b/regress/usr.sbin/httpd/tests/Makefile
index 5298c7c54eb..6ed064fd06f 100644
--- a/regress/usr.sbin/httpd/tests/Makefile
+++ b/regress/usr.sbin/httpd/tests/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.2 2015/07/16 17:00:41 reyk Exp $
+# $OpenBSD: Makefile,v 1.3 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed for the regression tests:
# p5-IO-Socket-INET6 object interface for AF_INET and AF_INET6 domain sockets
@@ -17,6 +17,7 @@ PERL_REQUIRE != perl -Mstrict -Mwarnings -e ' \
regress:
@echo "${PERL_REQUIRE}"
@echo install these perl packages for additional tests
+ @echo SKIPPED
.endif
# Fill out these variables if you want to test httpd with
diff --git a/regress/usr.sbin/ospfd/Makefile b/regress/usr.sbin/ospfd/Makefile
index 60718027768..2765eae05ee 100644
--- a/regress/usr.sbin/ospfd/Makefile
+++ b/regress/usr.sbin/ospfd/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.4 2015/01/16 17:06:43 bluhm Exp $
+# $OpenBSD: Makefile,v 1.5 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed for the regression tests:
# p5-AnyEvent provide framework for multiple event loops
@@ -17,6 +17,7 @@ PERL_REQUIRE != perl -Mstrict -Mwarnings -e ' \
regress:
@echo "${PERL_REQUIRE}"
@echo install these perl packages for additional tests
+ @echo SKIPPED
.endif
# Fill out these variables with your own system parameters
diff --git a/regress/usr.sbin/relayd/Makefile b/regress/usr.sbin/relayd/Makefile
index ad01e71b553..97f72abacac 100644
--- a/regress/usr.sbin/relayd/Makefile
+++ b/regress/usr.sbin/relayd/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.12 2015/10/09 17:51:08 bluhm Exp $
+# $OpenBSD: Makefile,v 1.13 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed for the regression tests:
# p5-IO-Socket-INET6 object interface for AF_INET and AF_INET6 domain sockets
@@ -17,6 +17,7 @@ PERL_REQUIRE != perl -Mstrict -Mwarnings -e ' \
regress:
@echo "${PERL_REQUIRE}"
@echo install these perl packages for additional tests
+ @echo SKIPPED
.endif
# Fill out these variables if you want to test relayd with
diff --git a/regress/usr.sbin/switchd/Makefile b/regress/usr.sbin/switchd/Makefile
index 9d9c8894d4a..2ddf6ede482 100644
--- a/regress/usr.sbin/switchd/Makefile
+++ b/regress/usr.sbin/switchd/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.2 2016/07/22 09:28:59 reyk Exp $
+# $OpenBSD: Makefile,v 1.3 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed for the regression tests:
# p5-Net-Pcap Perl interface for libpcap
@@ -17,6 +17,7 @@ PERL_REQUIRE != perl -Mstrict -Mwarnings -e ' \
regress:
@echo "${PERL_REQUIRE}"
@echo install these perl packages for additional tests
+ @echo SKIPPED
.endif
# Automatically generate regress targets from test cases in directory.
diff --git a/regress/usr.sbin/syslogd/Makefile b/regress/usr.sbin/syslogd/Makefile
index 5c00b3e5753..f3481706e4a 100644
--- a/regress/usr.sbin/syslogd/Makefile
+++ b/regress/usr.sbin/syslogd/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.16 2016/08/23 21:20:05 bluhm Exp $
+# $OpenBSD: Makefile,v 1.17 2016/09/02 21:30:34 bluhm Exp $
# The following ports must be installed for the regression tests:
# p5-IO-Socket-INET6 object interface for AF_INET and AF_INET6 domain sockets
@@ -22,6 +22,7 @@ PERL_REQUIRE != perl -Mstrict -Mwarnings -e ' \
regress:
@echo "${PERL_REQUIRE}"
@echo install these perl packages for additional tests
+ @echo SKIPPED
.endif
# Automatically generate regress targets from test cases in directory.